%define	module	anyjson

Summary:	Python wrapper for JSON implementations
Name:		python-%{module}
Version:	0.3.3
Release:	%mkrel 4
Source0:	http://pypi.python.org/packages/source/a/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://bitbucket.org/runeh/anyjson
BuildArch:	noarch
Suggests:	python-json, python-cjson, python-simplejson
BuildRequires:	python-devel, python-setuptools

%description
Anyjson loads whichever is the fastest JSON module installed and provides
a uniform API regardless of which JSON implementation is used.

Originally part of carrot (http://github.com/ask/carrot/)

%package -n python3-%{module}
Summary:	Wraps the best available JSON implementation available
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is used.

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
 

%files
%defattr(-,root,root,-)
%doc CHANGELOG README
%{python_sitelib}/%{module}/
%{python_sitelib}/%{module}*.egg-info

%files -n python3-%{module}
%doc CHANGELOG README
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}*.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.3.3-4.mga4
+ Revision: 542973
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.3-3.mga4
+ Revision: 498103
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.3.3-2.mga4
+ Revision: 496843
- add Python3

* Sun Aug 18 2013 joequant <joequant> 0.3.3-1.mga4
+ Revision: 467406
- upgrade to 0.3.3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 378458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.3.1-1.mga3
+ Revision: 313372
- imported package python-anyjson


* Mon Mar 28 2011 Lev Givon <lev@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 648693
- Update to 0.3.1.

* Wed Dec 08 2010 Lev Givon <lev@mandriva.org> 0.3-1mdv2011.0
+ Revision: 616287
- Update to 0.3.

* Tue Nov 09 2010 Lev Givon <lev@mandriva.org> 0.2.5-1mdv2011.0
+ Revision: 595458
- Update to 0.2.5.

* Mon Nov 08 2010 Lev Givon <lev@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 595123
- import python-anyjson


